slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSNEPGetComputeMatrixFunction

Returns the user-provided callback function set in DSNEPSetComputeMatrixFunction().

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSNEPGetComputeMatrixFunction(DS ds,PetscErrorCode (**fun)(DS,PetscScalar,PetscBool,DSMatType,void*),void **ctx)

Not Collective

### Input Parameter

| ds | - the direct solver context

### Output Parameters

| fun | - the pointer to the user function
| ctx | - the context pointer

### See Also

DSNEPSetComputeMatrixFunction()

### Level

developer

### Location

src/sys/classes/ds/impls/nep/dsnep.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages